from ._execute import execute_python as execute_python, get_current_python_version as get_current_python_version, is_using_windows as is_using_windows, set_python_version as set_python_version
from .pyinstaller import PackageInstaller as PackageInstaller, PyInstaller as PyInstaller
from typing import Final

class Builder:
    __PATH: Final[str]
    __CACHE_NEED_REMOVE: Final[tuple[str, ...]]
    @staticmethod
    def remove(*path: str, cwd: str | None = None) -> None: ...
    @classmethod
    def copy(cls, files: tuple[str, ...], target_folder: str, move: bool = False, cwd: str | None = None) -> None: ...
    @classmethod
    def __clean_up(cls, cwd: str | None = None) -> None: ...
    @classmethod
    def __remake_dir(cls, path: str) -> None: ...
    @classmethod
    def __combine(cls, _dir_path: str) -> None: ...
    @classmethod
    def compile(cls, source_folder: str, target_folder: str = 'src', upgrade: bool = False, skip_compile: bool = False, show_success_message: bool = True) -> None: ...
    @classmethod
    def pack(cls, path: str, os_specific: bool = True) -> None: ...
    @classmethod
    def upload(cls, path: str, confirm: bool = True) -> None: ...
    @classmethod
    def release(cls, path: str) -> None: ...
    @classmethod
    def zip(cls, path: str) -> None: ...
    @classmethod
    def build_all(cls, path: str, py_ver_minor_max: int = 13, py_ver_minor_min: int = 11) -> None: ...
